[PC-BSD Commits] r3510 - pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts

svn at pcbsd.org svn at pcbsd.org
Mon Feb 23 13:32:11 PST 2009


Author: kris
Date: 2009-02-23 13:32:11 -0800 (Mon, 23 Feb 2009)
New Revision: 3510

Modified:
   pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.MountUpgrade.sh
Log:

Fixed up the mounting script for upgrades, forgot to mount "a" before checking $FSMNT/etc/fstab, opps!



Modified: pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.MountUpgrade.sh
===================================================================
--- pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.MountUpgrade.sh	2009-02-23 19:47:56 UTC (rev 3509)
+++ pcbsd/trunk/installcd-overlay/usr/local/pcbsd/scripts/PCBSD.MountUpgrade.sh	2009-02-23 21:32:11 UTC (rev 3510)
@@ -5,9 +5,18 @@
 
 
 PART=${1}
+# Check for .journal extensions
+ls ${PART}${i}a.journal >/dev/null 2>/dev/null
+if [ "$?" = "0" ]
+then
+  mount ${PART}${i}a.journal ${FSMNT}${MNT} >/dev/null 2>/dev/null
+else
+  mount ${PART}${i}a ${FSMNT}${MNT} >/dev/null 2>/dev/null
+fi
 
+
 # Check for the partitions in fstab, and mount them now
-LIST="a d e f g h"
+LIST="d e f g h"
 for i in $LIST
 do
   cat ${FSMNT}/etc/fstab | grep "${PART}${i}" >/dev/null 2>/dev/null
@@ -31,10 +40,20 @@
 
 echo "Cleaning up old installation..."
 cd ${FSMNT}
-chflags -R noschg ${FSMNT}
+chflags -R noschg boot/kernel 2>/dev/null
+chflags -R noschg lib 2>/dev/null
+chflags -R noschg libexec 2>/dev/null
+chflags -R noschg bin 2>/dev/null
+chflags -R noschg sbin 2>/dev/null
+chflags -R noschg usr/lib 2>/dev/null
+chflags -R noschg usr/lib32 2>/dev/null
+chflags -R noschg usr/bin 2>/dev/null
+chflags -R noschg usr/sbin 2>/dev/null
 rm -rf boot/kernel 2>/dev/null
 rm -rf lib 2>/dev/null
 rm -rf libexec 2>/dev/null 
+rm -rf bin 2>/dev/null 
+rm -rf sbin 2>/dev/null 
 rm -rf usr/lib 2>/dev/null
 rm -rf usr/lib32 2>/dev/null
 rm -rf usr/bin 2>/dev/null



More information about the Commits mailing list